ur_rna.RNAstructure.backend

## Class TwoRNA

- java.lang.Object
- - ur_rna.RNAstructure.backend.TwoRNA

- Direct Known Subclasses:
    Dynalign_object

      public class TwoRNA
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TwoRNA()`
    `protected` | `TwoRNA(long cPtr, boolean cMemoryOwn)`
    `` | `TwoRNA(java.lang.String filename1, int type1, java.lang.String filename2, int type2)`
    `` | `TwoRNA(java.lang.String filename1, int type1, java.lang.String filename2, int type2, boolean IsRNA)`
    `` | `TwoRNA(java.lang.String filename1, int type1, java.lang.String filename2, int type2, Thermodynamics copyThermo)`
    `` | `TwoRNA(java.lang.String sequence1, java.lang.String sequence2)`
    `` | `TwoRNA(java.lang.String sequence1, java.lang.String sequence2, boolean IsRNA)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `protected void` | `finalize()`
    `java.lang.String` | `getCompoundmessage()`
    `protected static long` | `getCPtr(TwoRNA obj)`
    `int` | `GetErrorCode()`
    `java.lang.String` | `GetErrorDetails()`
    `java.lang.String` | `GetErrorMessage(int error)`
    `java.lang.String` | `GetErrorMessageString(int error)`
    `RNA` | `GetRNA1()`
    `RNA` | `GetRNA2()`
    `double` | `GetTemperature()`
    `void` | `ResetError()`
    `void` | `setCompoundmessage(java.lang.String value)`
    `void` | `SetErrorDetails(java.lang.String details)`
    `int` | `SetTemperature(double temperature)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### TwoRNA

          public TwoRNA()

    - #### TwoRNA

          protected TwoRNA(long cPtr,
                           boolean cMemoryOwn)

    - #### TwoRNA

          public TwoRNA(java.lang.String filename1,
                        int type1,
                        java.lang.String filename2,
                        int type2)

    - #### TwoRNA

          public TwoRNA(java.lang.String filename1,
                        int type1,
                        java.lang.String filename2,
                        int type2,
                        boolean IsRNA)

    - #### TwoRNA

          public TwoRNA(java.lang.String filename1,
                        int type1,
                        java.lang.String filename2,
                        int type2,
                        Thermodynamics copyThermo)

    - #### TwoRNA

          public TwoRNA(java.lang.String sequence1,
                        java.lang.String sequence2)

    - #### TwoRNA

          public TwoRNA(java.lang.String sequence1,
                        java.lang.String sequence2,
                        boolean IsRNA)

  - ### Method Detail

    - #### delete

          public void delete()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### getCompoundmessage

          public java.lang.String getCompoundmessage()

    - #### getCPtr

          protected static long getCPtr(TwoRNA obj)

    - #### GetErrorCode

          public int GetErrorCode()

    - #### GetErrorDetails

          public java.lang.String GetErrorDetails()

    - #### GetErrorMessage

          public java.lang.String GetErrorMessage(int error)

    - #### GetErrorMessageString

          public java.lang.String GetErrorMessageString(int error)

    - #### GetRNA1

          public RNA GetRNA1()

    - #### GetRNA2

          public RNA GetRNA2()

    - #### GetTemperature

          public double GetTemperature()

    - #### ResetError

          public void ResetError()

    - #### setCompoundmessage

          public void setCompoundmessage(java.lang.String value)

    - #### SetErrorDetails

          public void SetErrorDetails(java.lang.String details)

    - #### SetTemperature

          public int SetTemperature(double temperature)